
Redmine - Defect #27586

"Uncheck all" icon at the upper left corner in workflow status transitions page is not working

2017-11-20 07:17 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version: 3.3.6   

Resolution: Fixed Affected version: 3.3.5

Description

We can check / uncheck multiple checkboxes by clicking "✓" icons in WorkflowsController#edit page.

But the "✓" icon at the upper left corner, supposed to be able to check / uncheck all checkboxes, is not working as expected. "Check

all" works fine but "Uncheck all" does not work at all.

 

Associated revisions

Revision 17023 - 2017-11-25 12:16 - Go MAEDA

Fix: "Uncheck all" is not working in workflow status transitions page (#27586).

Contributed by Mizuki ISHIKAWA.

Revision 17024 - 2017-11-25 13:54 - Go MAEDA

Merged r17023 to 3.4-stable (#27586).

Revision 17025 - 2017-11-25 13:59 - Go MAEDA

Merged r17023 to 3.3-stable (#27586).

History

#1 - 2017-11-20 08:55 - Mizuki ISHIKAWA

- File fix_27586.patch added

I think the attached patch will solve this problem.

#2 - 2017-11-20 09:05 - Go MAEDA

- Category set to Administration

- Target version set to 3.3.6

Setting target version to 3.3.6.

Thank you for your contribution.
#3 - 2017-11-25 12:29 - Go MAEDA

- Status changed from New to Resolved

Committed in the trunk. Thank you for your contribution.

#4 - 2017-11-25 14:02 - Go MAEDA

- Status changed from Resolved to Closed

#5 - 2017-11-25 16:42 - Go MAEDA

- Assignee set to Go MAEDA

- Resolution set to Fixed

Files

workflow-uncheck-all@2x.png 25.8 KB 2017-11-20 Go MAEDA

fix_27586.patch 1.76 KB 2017-11-20 Mizuki ISHIKAWA
